<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSrstReq StructType
 * @subpackage Structs
 */
class AddSrstReq extends APIRequest
{
    /**
     * The srst
     * @var XSrst
     */
    public $srst;
    /**
     * Constructor method for AddSrstReq
     * @uses AddSrstReq::setSrst()
     * @param XSrst $srst
     */
    public function __construct(XSrst $srst = null)
    {
        $this
            ->setSrst($srst);
    }
    /**
     * Get srst value
     * @return XSrst|null
     */
    public function getSrst()
    {
        return $this->srst;
    }
    /**
     * Set srst value
     * @param XSrst $srst
     * @return AddSrstReq
     */
    public function setSrst(XSrst $srst = null)
    {
        $this->srst = $srst;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSrstReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
